Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v2
Class AllowedSupplementsType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v2.AllowedSupplementsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:18:36+02:00",
               comments="JAXB RI v2.3.6")
    public class AllowedSupplementsType

extends Object
implements Serializable

Description of the supplements paid by the OCMW / CPAS (can be filled only for hospitalization medical cover and ambulatory hospitalization medical cover) : maximum amount allowed, supplement types list.

Java class for AllowedSupplementsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AllowedSupplementsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AmountMaxAllowed" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="SupplementTypeList" type="{urn:be:fgov:ehealth:mediprima:core:v2}SupplementTypeListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AllowedSupplementsType()`

Method Summary
`Integer` | `getAmountMaxAllowed()` Gets the value of the amountMaxAllowed property.
`SupplementTypeListType` | `getSupplementTypeList()` Gets the value of the supplementTypeList property.
`void` | `setAmountMaxAllowed(Integer value)` Sets the value of the amountMaxAllowed property.
`void` | `setSupplementTypeList(SupplementTypeListType value)` Sets the value of the supplementTypeList property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllowedSupplementsType

    public AllowedSupplementsType()

Method Detail

### getAmountMaxAllowed

    public Integer getAmountMaxAllowed()

  Gets the value of the amountMaxAllowed property.

  Returns:
    possible object is `Integer`

### setAmountMaxAllowed

    public void setAmountMaxAllowed(Integer value)

  Sets the value of the amountMaxAllowed property.

  Parameters:
    `value` - allowed object is `Integer`

### getSupplementTypeList

    public SupplementTypeListType getSupplementTypeList()

  Gets the value of the supplementTypeList property.

  Returns:
    possible object is `SupplementTypeListType`

### setSupplementTypeList

    public void setSupplementTypeList(SupplementTypeListType value)

  Sets the value of the supplementTypeList property.

  Parameters:
    `value` - allowed object is `SupplementTypeListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.